Page MenuHomePhabricator

[RISCV] Fix incorrect FP base CFI offset for variable argument functions
ClosedPublic

Authored by shiva0217 on Feb 2 2020, 10:12 PM.

Details

Summary

When the FP exists, the FP base CFI directive offset should take the size of variable arguments into account.

Diff Detail

Event Timeline

shiva0217 created this revision.Feb 2 2020, 10:12 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 2 2020, 10:12 PM

LGTM (just tweak the comment).

llvm/lib/Target/RISCV/RISCVFrameLowering.cpp
184

This comment is lacking the - of the code below. I understand that the value emitted is positive, but the way the comment is written it's inconsistent with the implementation.

luismarques accepted this revision.Feb 7 2020, 8:37 AM
This revision is now accepted and ready to land.Feb 7 2020, 8:37 AM
shiva0217 updated this revision to Diff 243468.Feb 9 2020, 7:26 PM

Update the patch to address the comment.

Hi @luismarques, thanks for the review.

This revision was automatically updated to reflect the committed changes.